<div class="container">

<div class="page-header">
  	<h1>Welcome to <%= projectName %></h1>
	<p class="lead">Cool huh? This was generated using <?php echo $this->Html->link('generator-kwebapp', 'http://github.com/kalvinmoraes/generator-kwebapp'); ?></p>
        <p>
            @author <a target="_blank" href="http://github.com/kalvinmoraes">Alexandre Moraes</a> : kalvinmoraes@gmail.com
        </p>
</div>

<?php
if (!file_exists(WWW_ROOT . 'css' . DS . 'cake.generic.css')):
?>
	<p class="bg-danger" style="padding: 10px;">
		URL Rewriting is not properly configured on your server.
	</p>
<?php
endif;
?>
<p>
<?php
	if (version_compare(PHP_VERSION, '5.2.8', '>=')):
		echo '<p class="bg-success" style="padding: 10px;">';
			echo __d('cake_dev', 'Your version of PHP is 5.2.8 or higher.');
		echo '</p>';
	else:
		echo '<p class="bg-danger" style="padding: 10px;">';
			echo __d('cake_dev', 'Your version of PHP is too low. You need PHP 5.2.8 or higher to use CakePHP.');
		echo '</p>';
	endif;
?>
</p>
<p>
	<?php
		if (is_writable(TMP)):
			echo '<p class="bg-success" style="padding: 10px;">';
				echo __d('cake_dev', 'Your tmp directory is writable.');
			echo '</p>';
		else:
			echo '<p class="bg-danger" style="padding: 10px;">';
				echo __d('cake_dev', 'Your tmp directory is NOT writable.');
			echo '</p>';
		endif;
	?>
</p>
<p>
	<?php
		$settings = Cache::settings();
		if (!empty($settings)):
			echo '<p class="bg-success" style="padding: 10px;">';
				echo __d('cake_dev', 'The %s is being used for core caching. To change the config edit %s', '<em>'. $settings['engine'] . 'Engine</em>', 'APP/Config/core.php');
			echo '</p>';
		else:
			echo '<p class="bg-danger" style="padding: 10px;">';
				echo __d('cake_dev', 'Your cache is NOT working. Please check the settings in %s', 'APP/Config/core.php');
			echo '</p>';
		endif;
	?>
</p>
<p>
	<?php
		$filePresent = null;
		if (file_exists(APP . 'Config' . DS . 'database.php')):
			echo '<p class="bg-success" style="padding: 10px;">';
				echo __d('cake_dev', 'Your database configuration file is present.');
				$filePresent = true;
			echo '</p>';
		else:
			echo '<p class="bg-danger" style="padding: 10px;">';
				echo __d('cake_dev', 'Your database configuration file is NOT present.');
				echo '<br/>';
				echo __d('cake_dev', 'Rename %s to %s', 'APP/Config/database.php.default', 'APP/Config/database.php');
			echo '</p>';
		endif;
	?>
</p>
<?php
if (isset($filePresent)):
	App::uses('ConnectionManager', 'Model');
	try {
		$connected = ConnectionManager::getDataSource('default');
	} catch (Exception $connectionError) {
		$connected = false;
		$errorMsg = $connectionError->getMessage();
		if (method_exists($connectionError, 'getAttributes')):
			$attributes = $connectionError->getAttributes();
			if (isset($errorMsg['message'])):
				$errorMsg .= '<br />' . $attributes['message'];
			endif;
		endif;
	}
?>
<p>
	<?php
		if ($connected && $connected->isConnected()):
			echo '<p class="bg-success" style="padding: 10px;">';
				echo __d('cake_dev', 'CakePHP is able to connect to the database.');
			echo '</p>';
		else:
			echo '<p class="bg-danger" style="padding: 10px;">';
				echo __d('cake_dev', 'CakePHP is NOT able to connect to the database.');
				echo '<br /><br />';
				echo $errorMsg;
			echo '</p>';
		endif;
	?>
</p>
<?php endif; ?>
<?php
	App::uses('Validation', 'Utility');
	if (!Validation::alphaNumeric('cakephp')):
		echo '<p class="bg-danger" style="padding: 10px;">';
			echo __d('cake_dev', 'PCRE has not been compiled with Unicode support.');
			echo '<br/>';
			echo __d('cake_dev', 'Recompile PCRE with Unicode support by adding <code>--enable-unicode-properties</code> when configuring');
		echo '</p>';
	endif;
?>

<p>
	<?php
		if (CakePlugin::loaded('DebugKit')):
			echo '<p class="bg-success" style="padding: 10px;">';
				echo __d('cake_dev', 'DebugKit plugin is present');
			echo '</p>';
		else:
			echo '<p class="bg-warning" style="padding: 10px;">';
				echo __d('cake_dev', 'DebugKit is not installed. It will help you inspect and debug different aspects of your application.');
				echo '<br/>';
				echo __d('cake_dev', 'You can install it from %s', $this->Html->link('GitHub', 'https://github.com/cakephp/debug_kit'));
			echo '</p>';
		endif;
	?>
</p>
	
</div>